package com.liquidnet.service.kylin.dao.report;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: PerformanceSexDataDto
 * @Package com.liquidnet.service.kylin.dao.report
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2021/9/23 10:58
 */
@Data
public class PerformanceSexDataDto implements Serializable {
    private String sex;
    private long totalNumber;

    private static final PerformanceSexDataDto obj = new PerformanceSexDataDto();

    public static PerformanceSexDataDto getNew() {
        try {
            return (PerformanceSexDataDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new PerformanceSexDataDto();
        }
    }
}
